Auto Multiple Choice - Bug # 769: Probléme pour l'installation AMC aprés migration systeme (Mac Big
Sur)
Description: Bonjour a tous,

Merci de lire jusqu'au bout. J'ai résolu quelques problemes par moi-méme. Ces problémes, ou les solutions
retenues, peuvent étre importantes dans la compréhension du probléme actuel. Je commence d'abord par
indiquer les obstacles rencontrés et, a priori, déja franchis.

Dans le cadre d'une mise a jour systéme majeur sour mac (Big Sur), aprés mise a jour de port, installation de
XQartz, installation de Xcode et son environnement, téléchargement des polices qui vont bien et installation a
la main, etc. j'ai été confronté a l'erreur suivante :

Can't locate AMC/Path.pm in @INC (you may need to install the AMC::Path module) (@INC contains:
/opt/local/lib/perl5/site_perl/5.26/darwin-thread-multi-2level /opt/local/lib/perl5/site_perl/5.26
/opt/local/lib/perl5/vendor_perl/5.26/darwin-thread-multi-2level /opt/local/lib/perl5/vendor_perl/5.26
/opt/local/lib/perl5/5.26/darwin-thread-multi-2level /opt/local/lib/perl5/5.26) at
/opt/local/lib/AMC/perl/AMC-gui.pl line 49.

BEGIN failed--compilation aborted at /opt/local/lib/AMC/perl/AMC-gui.pl line 49.

Identification du probléme : il semblerait qu'il y ait une schisme sur la version de perl.

Explications :

1. localisation du fichier réclamé :

locate Path.pm|grep -i amc

/opt/local/lib/perl5/vendor_perl/5.28/AMC/Path.pm

on constate qu'il est dans le rep 5.28

Donc, l'installation d'ACM semble s'attendre a tourner avec la verion 5.28. Sinon, pourquoi l'installer ici ?

2. version par défaut de perl
perl -v
This is perl 5, version 26, subversion 3 (v5.26.3) built for darwin-thread-multi-2level

Copyright 1987-2018, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the

Internet, point your browser at http://www.perl.org/, the Perl Home Page.

On est sur la version 5.26
Solution adoptée : passer perl en version 5.28.
Méthode :
sudo port install perl5 +perl5_28

vérification
perl -v

This is perl 5, version 28, subversion 3 (v5.28.3) built for darwin-thread-multi-2level

Copyright 1987-2020, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl". If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.

L'interface X d'AMC se lance.
Un obstacle de passé.
Restent des warnings

WARNING **: Failed to load shared library './gdk-pixbuf/libgdk_pixbuf-2.0.0.dylib’ referenced by the typelib:
dlopen(./gdk-pixbuf/libgdk_pixbuf-2.0.0.dylib, 9): image not found at
/opt/local/lib/perl5/vendor_perl/5.28/darwin-thread-multi-2level/Glib/Object/Introspection.pm line 110.
dbus[22912]: Dynamic session lookup supported but failed: launchd did not provide a socket path, verify that
org.freedesktop.dbus-session.plist is loaded!

Ne pas avoir peur des warnings... ne pas avoir peur des warnings... ne pas avoir peur des warning...
Incitation anti-warning réussie !

Go : ouvrir un projet existant --> clic sur le bouton "ouvrir".

Crac ! Une erreur, une !

(AMC-gui.pl:22912): Gtk-WARNING **: 16:09:20.057: gtkliststore.c:475: Invalid type (NULL)

*** unhandled exception in callback:

*** Can't call method "clear" on an undefined value at /opt/local/lib/AMC/perl/AMC-gui.pl line 1462.
*** ignoring at /opt/local/lib/perl5/vendor_perl/5.28/Gtk3.pm line 572.

Nouveau warning... pas eu le temps de réaliser I'incantation,
Bah, de toute fagon, il est suivi d'une exception non récupérée. Les incantations ne seraient d'aucun effet !

Bouton "Créer un projet", méme résultat.
Bouton "préférence" fonctionnel.
Bouton "menu" fonctionnel.
Toute aide est la bien venue.
Merci d'avance

Cordialement,

Philippe Lamarre

PS: AMC, c'est comme les bouteille de gaz : c'est lorsqu'on en a besoin que le probléme apparait...

History

06/09/2021 07:12 pm - Joél Brogniart

Bon, ¢a manque un peu d'informations. Quelles versions de macos, macports, Xcode et la commande utilisée pour installer AMC.

J'ai fait un premier test d'installation et effectivement il y a quelques problémes. Sur macports pas mal de modules ont été basculés de perl 5.28 vers

perl 5.30 mais la version par défault de perl 5 est toujours la 5.28 et ga provoque quelques cafouillages.
J'ai quand méme fini par obtenir une version fonctionnelle avec macOS 11.4 (MacPorts 2.7.1, Xcode 12.5) sur une machine Intel.

Tout d'abord j'ai tout nettoyé.
<pre>
sudo port uninstall installed

</pre>

Ensuite, j'ai mis a jour Macports.
<pre>
sudo port selfupdate

</pre>

Puis j'ai installé perl 5 avec perl 5.30
<pre>
sudo port install perl5 +perl5_30

</pre>

Puis j'ai installé le serveur X11 (qui est plus a jour que XQuartz).
<pre>
sudo port install xorg-server xterm xman xlogo

</pre>

Et enfin, j'ai installé la derniére version d'AMC.

<pre>

sudo port install auto-multiple-choice-devel

</pre>

A 1a fin j'ai obtenu une version fonctionnelle d'AMC. J'ai pu tester de la création d'un sujet & l'envoi des corrections par mail et toutes les étapes se sont

bien passées.

06/09/2021 07:16 pm - Joél Brogniart
Et aussi quelqu'un de Macports a modifié il y a quelques jours la description du port pour AMC et a mis la dépendance a perl sur la version 5.30 au lieu
de 5.28.

06/10/2021 05:15 pm - Philippe LAMARRE

Bonjour,

Pour compléter les informations manquantes, c'était dans le cadre d'une mise a jour systéme majeure. Dans ces circonstance, je ne suis pas trés

joueur, donc exclusivement des versions proposées par défaut. Choix supposé optimal pour le calme et la sérénité.

Suite a l'information sur la mise a jour sur port, le probleme a été résolu par un raz de port : désinstallation de tous les paquets et réinstallation. C'est un
peu brutal pour la machine, mais ga nécessite peu d'efforts de la part de I'opérateur (toujours cette recherche du calme et de la sérénité - je profitais
d'une bonne expérience sur le sujet étant donné que je I'avais fait deux fois avant de vous soumettre ma question - une fois pour la maj systéme, une
autre apres installation de XQuartz... des fois que...).

Conclusion : la mise a jour du paquet sur Macport était une trés bonne idée.

Merci beaucoup de la réaction rapide avec des informations pertinentes.

Bonne journée,

Philippe

06/10/2021 05:26 pm - Alexis Bienveniie
- Status changed from New to Resolved

- % Done changed from 0 to 100

09/19/2021 09:29 am - Alexis Bienveniie
- Status changed from Resolved to Closed
